class OilList {
    constructor() {
        this.form = document.getElementById("fSearch");
    }

    submit() {
        this.form.submit();
    }
}

const oilList = new OilList();

$(document).on("change", "#date", (e) => oilList.submit(e));
